<?php
/* Copyright (C) 2007-2010 Laurent Destailleur  <eldy@users.sourceforge.net>
 * Copyright (C) 2011 Frdrique GUYOT
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/**
 *   	\file       dev/skeletons/skeleton_page.php
 *		\ingroup    mymodule othermodule1 othermodule2
 *		\brief      This file is an example of a php page
 *		\version    $Id: skeleton_page.php,v 1.16 2011/01/16 13:24:29 eldy Exp $
 *		\author		Put author name here
 *		\remarks	Put here some comments
 */

//if (! defined('NOREQUIREUSER'))  define('NOREQUIREUSER','1');
//if (! defined('NOREQUIREDB'))    define('NOREQUIREDB','1');
//if (! defined('NOREQUIRESOC'))   define('NOREQUIRESOC','1');
//if (! defined('NOREQUIRETRAN'))  define('NOREQUIRETRAN','1');
//if (! defined('NOCSRFCHECK'))    define('NOCSRFCHECK','1');
//if (! defined('NOTOKENRENEWAL')) define('NOTOKENRENEWAL','1');
//if (! defined('NOREQUIREMENU'))  define('NOREQUIREMENU','1');	// If there is no menu to show
//if (! defined('NOREQUIREHTML'))  define('NOREQUIREHTML','1');	// If we don't need to load the html.form.class.php
//if (! defined('NOREQUIREAJAX'))  define('NOREQUIREAJAX','1');
//if (! defined("NOLOGIN"))        define("NOLOGIN",'1');		// If this page is public (can be called outside logged session)

// Change this following line to use the correct relative path (../, ../../, etc)
/*$res=0;
if (! $res && file_exists("../main.inc.php")) $res=@include("../main.inc.php");
if (! $res && file_exists("../../main.inc.php")) $res=@include("../../main.inc.php");
if (! $res && file_exists("../../../dolibarr/htdocs/main.inc.php")) $res=@include("../../../dolibarr/htdocs/main.inc.php");     // Used on dev env only
if (! $res && file_exists("../../../../dolibarr/htdocs/main.inc.php")) $res=@include("../../../../dolibarr/htdocs/main.inc.php");   // Used on dev env only
if (! $res && file_exists("../../../../../dolibarr/htdocs/main.inc.php")) $res=@include("../../../../../dolibarr/htdocs/main.inc.php");   // Used on dev env only
if (! $res) die("Include of main fails");*/

require("../main.inc.php");
// Change this following line to use the correct relative path from htdocs (do not remove DOL_DOCUMENT_ROOT)
//require_once(DOL_DOCUMENT_ROOT.'/newsletter/class/product.class.php');
//require_once(DOL_DOCUMENT_ROOT.'/newsletter//pre.inc.php') ;

//include("./pre.inc.php");

// Load traductions files requiredby by page
//$langs->load("companies");
//$langs->load("other");

// Get parameters
$myparam = isset($_GET["myparam"])?$_GET["myparam"]:'';

// Protection if external user
if ($user->societe_id > 0)
{
	//accessforbidden();
}



/*******************************************************************
* ACTIONS
*
* Put here all code to do according to value of "action" parameter
********************************************************************/

if ($_GET["action"] == 'add' || $_POST["action"] == 'add')
{
	$myobject=new Skeleton_class($db);
	$myobject->prop1=$_POST["field1"];
	$myobject->prop2=$_POST["field2"];
	$result=$myobject->create($user);
	if ($result > 0)
	{
		// Creation OK
	}
	{
		// Creation KO
		$mesg=$myobject->error;
	}
}



/***************************************************
* PAGE
*
* Put here all code to build page
****************************************************/

llxHeader('','Newsletter','Newsletter');

$form=new Form($db);
?>

<html lang="fr">
	
	<head>
		<link rel="stylesheet" type="text/css" href="css/styleCreation.css" />
		<!-- <script type="text/javascript" src="jquery.js" /> dj dclar-->
		<script type="text/javascript" >	
			// pour les services
			$(function()
			{
				$("#rechercheService").click(function()
				{
					$.post("remplirServ.php",{catService : document.getElementById("catService").value, ServActif : document.getElementById("ServActif").value}, function(data)
					{
						$('#choixServCat').html(data);	
					});	
				});
				
				$("#rechercheProduit").click(function()
				{
					$.post("remplirProd.php",{catProduit : document.getElementById("catProduit").value, ProdActif : document.getElementById("ProdActif").value}, function(data)
					{
						$('#choixProdCat').html(data);	
					});	
				});
			});
			
		
		</script>
	</head>

	<body>
<?php
/* ------------------------------------------------------------------------------------------------ */
// ------------------------- dbut ----------------------------------------------------------------
/* ------------------------------------------------------------------------------------------------ */
print '<div id="contenu" style="margin :20px;">';
print '<h2>Faites vos choix </h2>';

print '<form method="POST" action="news.php" id="form" >';

/* -------------------------------------------------------------------------------------------------- */
// ------------------------------ catgories de services --------------------------------------------
/* -------------------------------------------------------------------------------------------------- */

print '<p id="titre">1. S&eacute;lectionnez d\'abord les services </p>';
print '<div id="sousParagraphe">';
print '<p id="service" >Par cat&eacute;gorie des services  <br/>';

// requte pour remplir la combobox catgorie par services
$sql = ' select distinct c.label';
$sql .= ' from '.MAIN_DB_PREFIX.'categorie as c,'.MAIN_DB_PREFIX.'product as p,'.MAIN_DB_PREFIX.'categorie_product as q';
$sql .= ' WHERE c.rowid = q.fk_categorie and q.fk_product = p.rowid and p.fk_product_type = 1';

// xcution de la requte								
$resql=$db->query($sql);
		
if ($resql)
{
	// rcupre le nombre de lignes du rsultat de la requte
	$num = $db->num_rows($resql);
	$i = 0;

	// si le nbre de lignes est >  0 alors rsultat 
	if ($num > 0)
	{
		print '<br/><select name="choixCategorieS[]" multiple id="catService" class="choix" >';
		//print '<option value="0" selected="selected">Choisissez</option>';
		while ($i < $num)
		{
			$objp = $db->fetch_object($resql);
			print '<option value="'.$objp->label.'"';
			print '>'.$objp->label.' </option>';
			$i++;
		}
		print '</select><br/>';
	}
	$db->free($resql);
}
else
{
	dol_print_error($db);
}		
print '<br/>S&eacute;lectionnez si vous voulez afficher les services actifs, inactifs ou tous';
print '<br/><select name="choixServActif[]" id="ServActif" class="choix" >';
print '<option value="0" selected="selected">Choisissez</option>';
print '<option value="1" >Actif</option>';
print '<option value="2" >Inactif</option>';
print '<option value="3" >Tout</option>';
print '</select><br/>';

print '<br/><span>Appuyez sur le bouton <input type="button" id="rechercheService" value="Rechercher" class="butAction" />&nbsp; pour afficher les r&eacute;sultats</span></p>';


/* -------------------------------------------------------------------------------------------------- */
// ------------------------------ services associs aux catgories ----------------------------------
/* -------------------------------------------------------------------------------------------------- */


print '<p id="service" >R&eacute;sultat des services en fonction des cat&eacute;gories <br/>';

print '<select name="choixServCat[]" id="choixServCat" multiple class="choix">';

print '</select>';
print '</p>';
	
/* -------------------------------------------------------------------------------------------------- */
// ------------------------------ services -------------------------------------------------------------
/* -------------------------------------------------------------------------------------------------- */

print '<p id="service" >Et/ou tous les services <br/>';

// requte
$sql = ' select distinct p.label';
$sql .= ' from '.MAIN_DB_PREFIX.'product as p';
$sql .= ' WHERE p.fk_product_type = 1';

// xcution de la requte								
$resql=$db->query($sql);
		
if ($resql)
{
	// rcupre le nombre de lignes du rsultat de la requte
	$num = $db->num_rows($resql);
	$i = 0;

	// si le nbre de lignes est >  0 alors rsultat 
	if ($num > 0)
	{
		print '<select name="choixService[]" multiple class="choix" >';
		
		while ($i < $num)
		{
			$objp = $db->fetch_object($resql);
			print '<option value="'.$objp->label.'"';
			print '>'.$objp->label.' </option>';
			$i++;
		}
		print '</select></p>';
	}
	$db->free($resql);
}
else
{
	dol_print_error($db);
}
print '</div>';
/* -------------------------------------------------------------------------------------------------- */
// ------------------------------ catgories de produits --------------------------------------------
/* -------------------------------------------------------------------------------------------------- */

print '<p id="titre" >2. S&eacute;lectionnez ensuite les produits </p>';
print '<div id="sousParagraphe">';
print '<p id="produit">Par cat&eacute;gorie des produits  <br/>';

// requte
$sql = ' select distinct c.label';
$sql .= ' from '.MAIN_DB_PREFIX.'categorie as c,'.MAIN_DB_PREFIX.'product as p,'.MAIN_DB_PREFIX.'categorie_product as q';
$sql .= ' WHERE c.rowid = q.fk_categorie and q.fk_product = p.rowid and p.fk_product_type = 0';

// xcution de la requte								
$resql=$db->query($sql);
		
if ($resql)
{
	// rcupre le nombre de lignes du rsultat de la requte
	$num = $db->num_rows($resql);
	$i = 0;

	// si le nbre de lignes est >  0 alors rsultat 
	if ($num > 0)
	{
		print '<select name="choixCategorieP[]" multiple id="catProduit" class="choix" onclick="clicProduit();" >';
		
		while ($i < $num)
		{
			$objp = $db->fetch_object($resql);
			print '<option value="'.$objp->label.'"';
			print '>'.$objp->label.' </option>';
			$i++;
		}
		print '</select><br/>';
	}
	$db->free($resql);
}
else
{
	dol_print_error($db);
}	

print '<br/>S&eacute;lectionnez si vous voulez afficher les produits actifs, inactifs ou tous';
print '<br/><select name="choixProdActif[]" id="ProdActif" class="choix" >';
print '<option value="0" selected="selected">Choisissez</option>';
print '<option value="1" >Actif</option>';
print '<option value="2" >Inactif</option>';
print '<option value="3" >Tout</option>';
print '</select><br/>';

print '<br/><span>Appuyez sur le bouton <input type="button" id="rechercheProduit" value="Rechercher" class="butAction" />&nbsp; pour afficher les r&eacute;sultats</span></p>';

/* -------------------------------------------------------------------------------------------------- */
// ------------------------------ produits associs aux catgories ----------------------------------
/* -------------------------------------------------------------------------------------------------- */

print '<p id="produit" >R&eacute;sultat des produits en fonction des cat&eacute;gories <br/>';

print '<select name="choixProdCat[]" id="choixProdCat" multiple class="choix" >';
		
print '</select></p>';
	
/* -------------------------------------------------------------------------------------------------- */
// ------------------------------ produits ----------------------------------------------------------
/* -------------------------------------------------------------------------------------------------- */

print '<p id="produit" >Et/ou tous les services <br/>';

// requte
$sql = ' select distinct p.label';
$sql .= ' from '.MAIN_DB_PREFIX.'product as p';
$sql .= ' WHERE p.fk_product_type = 0';

// xcution de la requte								
$resql=$db->query($sql);
		
if ($resql)
{
	// rcupre le nombre de lignes du rsultat de la requte
	$num = $db->num_rows($resql);
	$i = 0;

	// si le nbre de lignes est >  0 alors rsultat 
	if ($num > 0)
	{
		print '<select name="choixProduit[]" multiple class="choix" >';
		//print '<option value="0" selected="selected">Choisissez</option>';
		while ($i < $num)
		{
			$objp = $db->fetch_object($resql);
			print '<option value="'.$objp->label.'"';
			print '>'.$objp->label.' </option>';
			$i++;
		}
		print '</select></p>';
	}
	$db->free($resql);
}
else
{
	dol_print_error($db);
}
print'</div>';
/* ------------------------------------------------------------------------------------------------*/
// ------------------------------- autres champs pour la newsletter -------------------------------
/* ------------------------------------------------------------------------------------------------ */

print '<p id="titre" >3. Remplissez ensuite les champs suivants</p>';

print '<div id="sousParagraphe" >';

print '<p id="champ" >Entrez le nom de la newsletter (pour la base de donn&eacute;es) :<br/>';
print '<input type="text" id="txt" name="txtTitre" value=""  /></p>';

print '<p id="champ" >Entrez le sujet de la newsletter (pour la base de donn&eacute;es et pour le sujet du mail)<br/>';
print '<input type="text" id="txt" name="txtSujet" value="" /></p>';

print '<p id="champ" >Entrez le texte de l\'en-t&ecirc;te de la newsletter<br/>';
print '<input type="text" id="txt" name="txtTitreNews" value="" /></p>';

print '</div>';
/* ------------------------------------------------------------------------------------------------ */
// -------------------------------- bouton submit -------------------------------------------------
/* ------------------------------------------------------------------------------------------------ */
print '<p id="titre" >4. Terminez en cliquant sur le bouton pour valider</p>';
print '<p><input type="submit" value="Valider" class="button" /></p>';
	
/* ------------------------------------------------------------------------------------------------ */
// --------------------------------- fin de la table ----------------------------------------------
/* ------------------------------------------------------------------------------------------------ */
print "</form>";
print '</div>';
?>
	</body>
</html>

<?php
											
									
// Put here content of your page
// ...


/***************************************************
* LINKED OBJECT BLOCK
*
* Put here code to view linked object
****************************************************/
/*$myobject->load_object_linked($myobject->id,$myobject->element);

foreach($myobject->linked_object as $linked_object => $linked_objectid)
{
	if ($conf->$linked_object->enabled)
	{
		$somethingshown=$myobject->showLinkedObjectBlock($linked_object,$linked_objectid,$somethingshown);
	}
}
*/
// End of page
$db->close();
llxFooter('$Date: 2011/06/23 12:25:00 $ - $Revision: 1.16 $');
?>
