<?php
/* Copyright (C) 2007-2010 Laurent Destailleur  <eldy@users.sourceforge.net>
 * Copyright (C) 2011 Frdrique GUYOT
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/**
 *   	\file       dev/skeletons/skeleton_page.php
 *		\ingroup    mymodule othermodule1 othermodule2
 *		\brief      This file is an example of a php page
 *		\version    $Id: skeleton_page.php,v 1.16 2011/01/16 13:24:29 eldy Exp $
 *		\author		Put author name here
 *		\remarks	Put here some comments
 */

//if (! defined('NOREQUIREUSER'))  define('NOREQUIREUSER','1');
//if (! defined('NOREQUIREDB'))    define('NOREQUIREDB','1');
//if (! defined('NOREQUIRESOC'))   define('NOREQUIRESOC','1');
//if (! defined('NOREQUIRETRAN'))  define('NOREQUIRETRAN','1');
//if (! defined('NOCSRFCHECK'))    define('NOCSRFCHECK','1');
//if (! defined('NOTOKENRENEWAL')) define('NOTOKENRENEWAL','1');
//if (! defined('NOREQUIREMENU'))  define('NOREQUIREMENU','1');	// If there is no menu to show
//if (! defined('NOREQUIREHTML'))  define('NOREQUIREHTML','1');	// If we don't need to load the html.form.class.php
//if (! defined('NOREQUIREAJAX'))  define('NOREQUIREAJAX','1');
//if (! defined("NOLOGIN"))        define("NOLOGIN",'1');		// If this page is public (can be called outside logged session)

// Change this following line to use the correct relative path (../, ../../, etc)

require("../main.inc.php");
// Change this following line to use the correct relative path from htdocs (do not remove DOL_DOCUMENT_ROOT)
require_once(DOL_DOCUMENT_ROOT.'/newsletter/class/product.class.php');


// Load traductions files requiredby by page
//$langs->load("companies");
//$langs->load("other");

// Get parameters
//$myparam = isset($_GET["myparam"])?$_GET["myparam"]:'';

// Protection if external user
if ($user->societe_id > 0)
{
	//accessforbidden();
}



/*******************************************************************
* ACTIONS
*
* Put here all code to do according to value of "action" parameter
********************************************************************/

if ($_GET["action"] == 'add' || $_POST["action"] == 'add')
{
	$myobject=new Skeleton_class($db);
	$myobject->prop1=$_POST["field1"];
	$myobject->prop2=$_POST["field2"];
	$result=$myobject->create($user);
	if ($result > 0)
	{
		// Creation OK
	}
	{
		// Creation KO
		$mesg=$myobject->error;
	}
}





/***************************************************
* PAGE
*
* Put here all code to build page
****************************************************/

llxHeader('','Newsletter','');

$form=new Form($db);

	// pour les services par catgorie
	if(isset($_POST['choixServCat']))
	{
		$serviceCat = array();
		$serviceCat = $_POST['choixServCat'];
	}
	else 
	{
		//$serviceCat = "";
	}
			
	// pour les services en gnral
	if(isset($_POST['choixService']))
	{
		$service = array();
		$service=$_POST['choixService'];
	}
	else 
	{
		//$service = "";
	}
			
	// pour les produits par catgorie
	if(isset($_POST['choixProdCat']))
	{
		$produitCat = array();
		$produitCat = $_POST['choixProdCat'];
	}
	else 
	{
		//$produitCat = "";
	}
			
	// pour les produits en gnral
	if(isset($_POST['choixProduit']))
	{
		$produit = array();
		$produit = $_POST['choixProduit'];
	}
	else
	{
		//$produit = '';
	}
			
	// pour le champ titre de la newsletter (base de donnes)
	if(isset($_POST['txtTitre']))		
	{
		if (is_string($_POST['txtTitre']))		
		{
			$titre = stripslashes(htmlentities($_POST['txtTitre']));
		}
		else
		{
			echo '<p>Le titre saisi n\'est pas de type string</p>';
		}
	}
	else 
	{
		echo '<p>Variable titre non d&eacute;termin&eacute;e</p>';
	}
			
	// pour le champ sujet de la newsletter (base de donnes)
	if(isset($_POST['txtSujet']))
	{
		if (is_string($_POST['txtSujet']))		
		{
			$sujet = stripslashes(htmlentities($_POST['txtSujet']));
		}
		else
		{
			echo '<p>Le sujet saisi n\'est pas de type string</p>';
		}
	}
	else 
	{
		echo '<p>Variable sujet non d&eacute;termin&eacute;e</p>';
	}
	
	// pour le champ titre personnalis de la newsletter
	if(isset($_POST['txtTitreNews']))
	{
		if (is_string($_POST['txtTitreNews']))		
		{
			$titreNews = stripslashes(htmlentities($_POST['txtTitreNews'],ENT_QUOTES,'UTF-8'));
		}
		else
		{
			echo '<p>Le titre personnalis&eacute;saisi n\'est pas de type string</p>';
		}
	}
	else 
	{
		echo '<p>Variable titre personnalis&eacute; non d&eacute;termin&eacute;e</p>';
	}
	
			
	// On vrifie si les champs sont vides
	if(empty($serviceCat) OR empty($service) OR empty ($produitCat) OR empty($produit)) 
	{
		//echo '<font color="red">Attention, un ou les champs sont vides !</font>';
	}
	else
	{
		// remplissage de la newsletter
		
	}
	
	// ---------------------------------------------------------------------------------------
	// fonction de redimensionnement A L'AFFICHAGE
	// ---------------------------------------------------------------------------------------
	// La FONCTION : fctaffichimage($img_Src, $W_max, $H_max)
	// Les parametres :
	// - $img_Src : URL (chemin + NOM) de l image Source
	// - $W_max : LARGEUR maxi finale ----> ou 0 : largeur libre
	// - $H_max : HAUTEUR maxi finale ----> ou 0 : hauteur libre
	// ---------------------------------------------------------------------------------------
	// Affiche : src="..." width="..." height="..." pour la balise img
	// Utilisation :
	// <img alt="" <?php fctaffichimage('repimg/monimage.jpg', 120, 100) ? > />
	// ---------------------------------------------------------------------------------------
	function fctaffichimage($img_Src,$W_max,$H_max)
	{
		if (file_exists($img_Src))
		{
			// ----------------------------------------------------
			// Lit les dimensions de l'image source
			$img_size= GetImageSize($img_Src);
			
			$W_Src=$img_size[0];// largeur source
			$H_Src=$img_size[1];// hauteur source
			// ----------------------------------------------------
			if(!$W_max){$W_max=0;}
			if(!$H_max){$H_max=0;}
			// ----------------------------------------------------
			// Teste les dimensions tenant dans la zone
			$W_test= round($W_Src* ($H_max/$H_Src));
			$H_test= round($H_Src* ($W_max/$W_Src));
			// ----------------------------------------------------
			// si l image est plus petite que la zone
			if($W_Src<$W_max&&$H_Src<$H_max)
			{
				$W=$W_Src;
				$H=$H_Src; 
				// sinon si $W_max et $H_max non definis
			}
			elseif($W_max==0&&$H_max==0)
			{ 
				$W=$W_Src;
				$H=$H_Src; 
				// sinon si $W_max libre
			}
			elseif($W_max==0)
			{
				$W=$W_test;
				$H=$H_max;
				// sinon si $H_max libre
			}
			elseif($H_max==0)
			{
				$W=$W_max;
				$H=$H_test;
				// sinon les dimensions qui tiennent dans la zone
			}
			elseif($H_test>$H_max)
			{
				$W=$W_test; 
				$H=$H_max;
			}
			else
			{	
				$W=$W_max;
				$H=$H_test;
			}
		// ----------------------------------------------------
		}
		else
		{// si le fichier image n existe pas
			$W=0;
			$H=0;
		}
	// ----------------------------------------------------
	// Retourne les dimensions optimales
		$dimensions = ' width="'.$W.'" height="'.$H.'"';
		return $dimensions;
	}
	// Affiche :  src="..." width="..." height="..." pour la balise img
	// ---------------------------------------------------------------------------------------
	
	// on affiche par print la newsletter pour confirmer qu'elle est ok avant de la crer
	// on met tout le contenu dans une variable $news pour l'insrer dans la base de donnes
	
	print '<html lang="fr">';
	
	print '<head>';
	
	print '<script type="text/javascript">
				function retour()
				{
					$index = "creation.php";
					window.location.replace($index);
				}
			</script>';
	
	print '<style type="text/css">
				a:link, a:visited
				{
					color : #000000;
					font-weight : bold;
					text-decoration : none;
				}
				
				a:hover, a:active
				{
					color : #000000;
					text-decoration : none;
				}
				
				.table
				{
					background-color: white;
					font-family : Arial, Sans-Serif;
					font-size : 13px;
					border-spacing:7px;
				}
				
				.lire
				{
					background-color : white;
					text-align:center;
				}
				
				.lettre
				{
					text-align:center;
					font-family : Arial, Sans-Serif;
					font-size :70px;
					vertical-align:center;
					height : auto;
				}
				
				#date
				{
					text-align:left;
					vertical-align : bottom;
					font-size:22px;
					color : #4977AB;
					border-left:dotted;
				}
				
				.logo
				{
					text-align : center;
					valign : center;
				}
				
				.ets
				{
					text-align : center;
					font-weight:bold;
					font-size:18px;
				}
				
				#info
				{
					text-align : center;
					font-size:14px;
				}
				
				.titre
				{
					text-align : center;
					font-size : 26px;
					color:black;
				}
				
				
				#paragraphe
				{
					border-radius:20px;
					color : white;
					text-align : center;
					font-weight : bold;
					font-size : 20px;
				}
				
				#labelService
				{
					color:#4977AB;
					font-size:16px;
				}
				
				#labelProduit
				{
					color:#FA9101;
					font-size:16px;
				}
				
				#pied
				{
					text-align:center;
				}
				
			</style>';
	// le css pour la variable $news doit tre  l'intrieur des balises car les clients mails n'acceptent pas tous le css
			
	print '</head>';
	
	print '<body>';
	
	print 'Veuillez lire la newsletter si celle-ci vous convient, alors cliquer sur le bouton "Valider", sinon cliquer sur le bouton "Modifier" pour faire des modifications.<br/>';
	// test si les champs titre et sujet sont vides
	if(empty($titre) OR empty($sujet) OR empty($titreNews)) 
	{
		echo '<font color="red" style="font-size:14px;" >Attention, vous n\'avez pas saisi tous les &eacute;lements demand&eacute; de la newsletter !<br/></font>';
		print '<input type="reset" value="Retour" name="retour" onClick="retour();" class="button" />&nbsp;';
	}
	else
	{
		// remplissage de la newsletter
		
		// rcupre la date d'aujourd'hui
		$date = date('dmY');
			
		// cre le rpertoire o les newsletters seront stockes s'il n'existe pas dj
		// affiche que les commentaires d'erreur
		// $cheminServer est le rpertoire o l'on doit copier les informations
	
		$cheminServer = $conf->global->NEWSLETTER_CHEMIN_COPIE;
		$chemin = $cheminServer.'/'.$date;
		if (file_exists($chemin))
		{ 
			//echo "Le fichier $chemin existe.<br/>";
		}
		else
		{ 
			//echo "Le fichier $chemin n'existe pas.<br/>";
			if(mkdir ($chemin, 0777))
			{ 
				//echo 'r&eacute;pertoire cr&eacute;&eacute;.<br/> ';
			}
			else
			{
				echo 'probl&egrave;me : r&eacute;pertoire '.$chemin.' non cr&eacute;&eacute;.<br/>'; 
			}
		}
		
		// cre le rpertoire images pour stocker les images de la newsletter s'il n'existe pas dj
		// affiche que les commentaires d'erreur
		$repImages = $chemin.'/images';
		if (file_exists($repImages))
		{ 
			//echo "Le fichier $repImages existe.<br/>";
		}
		else
		{ 
			//echo "Le fichier $repImages n'existe pas.<br/>";
			if(mkdir ($repImages, 0777))
			{ 
				//echo 'r&eacute;pertoire '.$repImages.' cr&eacute;&eacute;.<br/> ';
			}
			else
			{
				echo 'probl&egrave;me : r&eacute;pertoire '.$repImages.' non cr&eacute;&eacute;.<br/>'; 
			}	
		}
		
		// copy le fichier desinscription.php s'il n'existe pas
		// affiche que les commentaires d'erreur
		$desinscription = $cheminServer.'/desinscription.php';
		if (file_exists($desinscription))
		{				
			//echo "Le fichier desinscription.php existe d&eacute;j&#224; ";
		}
		else
		{
			//echo "Le fichier desinscription.php n\'existe pas";
			// On copie le fichier dans le repertoire destination
			$fichierDesinscrip = DOL_DOCUMENT_ROOT.'/newsletter/desinscription.php';
			if (copy($fichierDesinscrip,$desinscription))
			{
				//echo 'copie fichier r&eacute;ussie.<br/>';
			}
			else
			{
				echo 'probl&egrave;me : fichier non copi&eacute;e.<br/>';
			}
		}
		
		// copy le fichier styleDesinscription.css s'il n'existe pas dans $url
		// affiche que les commentaires d'erreur
		$css = $cheminServer.'/styleDesinscription.css';
		if (file_exists($css))
		{				
			//echo "Le fichier desinscription.php existe d&eacute;j&#224; ";
		}
		else
		{
			//echo "Le fichier desinscription.php n\'existe pas";
			// On copie le fichier dans le repertoire destination
			$fichierCss = DOL_DOCUMENT_ROOT.'/newsletter/styleDesinscription.css';
			if (copy($fichierCss,$css))
			{
				//echo 'copie fichier r&eacute;ussie.<br/>';
			}
			else
			{
				echo 'probl&egrave;me : fichier non copi&eacute;e.<br/>';
			}
		}
		
		// initialisation d'une variable $news qui rcupre tout le contenu de la newsletter 
		
		/* --------------------------------- dclaration de la table --------------------------------------------------------------- */
		print '<table width="600" class="table" align="center" >';
		// class="table"
		$news = '<html><body><table width="600" align="center" style="background-color: white;
					font-family : Arial, Sans-Serif;
					font-size : 13px;
					border-spacing:7px;" >';

		/* --------------------------------- message pour lire correctement la newsletter ------------------------------------------------------------------------------- */
		
		// utilise l'url saisi dans les paramtres de configuration
		$url = $conf->global->NEWSLETTER_URL_COPIE;
		print '<tr><td colspan="3" class="lire" >Des probl&egrave;mes pour lire correctement
		cette newsletter,<a href="'.$url.'/'.$date.'/index.html">cliquez ici</a> pour la visualiser en ligne.</td></tr>';
		
		// css class="lire"
		$news .= '<tr><td colspan="3" style="background-color : white;
					text-align:center;"  >Des probl&egrave;mes pour lire
		correctement cette newsletter,<a href="'.$url.'/'.$date.'/index.html">cliquez ici</a> pour la visualiser en ligne.</td></tr>';
		
		print '<tr><td colspan="3" height="20px"></td></tr>';
		$news .= '<tr><td colspan="3" height="20px"></td></tr>';


		/* --------------------------------- en-tte --------------------------------------------------------------------------------- */		
		print '<tr><td rowspan="6" class="lettre" >La lettre</td>';
		// css class="lettre"
		$news .= '<tr><td rowspan="6" style="text-align:center;
					font-family : Arial, Sans-Serif;
					font-size :70px;
					vertical-align:center;
					height : auto;" >La lettre</td>';

		// rcupre la date en franais
		setlocale (LC_TIME, 'fr_FR');
		
		// requte sql pour rcuprer le numro de la dernire newsletter
		$sql = ' select max(rowid)';
		$sql .= ' from '.MAIN_DB_PREFIX.'newsletter as p';
				
		// xcution de la requte pour afficher le numro de la dernire newsletter cre								
		$resql=$db->query($sql);
				
		if ($resql)
		{
			// rcupre le nombre de lignes du rsultat de la requte
			$num = $db->num_rows($resql);
					
			// si le nbre de lignes est =  1 alors rcupre le rsultat
			if ($num == 1)
			{
				$objp = $db->fetch_array($resql);
				// numro de cette newsletter : $objp[0] + 1
			}
			$db->free($resql);
		}
		else
		{
			dol_print_error($db);
		}
		// numro de la newsletter qui va $etre cre
		$numNews = $objp[0] + 1;
					
		print '<td rowspan="6" id="date" >&nbsp;'.strftime("%B").'<br/>&nbsp;'.strftime("%Y").'<br/>&nbsp;n&#176;'.$numNews.'</td>';

		// css id="date"
		$news .= '<td rowspan="6" style="text-align:left;
					vertical-align : bottom;
					font-size:22px;
					color : #4977AB;
					border-left:dotted;" >&nbsp;'.strftime("%B").'<br/>&nbsp;'.strftime("%Y").'<br/>&nbsp;n&#176;'.$numNews.'</td>';

		$adrUrl = $conf->global->MAIN_INFO_SOCIETE_WEB;
		
		// rcupre le server_name : nom du serveur dolibarr
		$nomServer = $_SERVER['SERVER_NAME'];
		// rcupre le logo de l'ets
		$logo = $conf->global->MAIN_INFO_SOCIETE_LOGO;
		
		$urllogo='http://'.$nomServer.'/viewimage.php?modulepart=companylogo&amp;file='.urlencode('/thumbs/'.$mysoc->logo_small); 
		
		// ---------- copie du logo de l'ets dans le rep images -----
		// L'url du fichier : 
		$urlLOGO = DOL_DOCUMENT_ROOT.'/documents/mycompany/logos/'.$logo;
		// test de l'existence du logo
		if (file_exists($urlLOGO))
		{ 
			//echo "Le fichier $urlLOGO existe.<br/>";
			// Le chemin de sauvegarde $repImages
			// On recup le nom du fichier
			$name = array_pop(explode('/',$urlLOGO));
			if (file_exists($repImages.'/'.$name))
			{
				//echo 'image d&eacute;j&#224; pr&eacute;sente.<br/>';
			}
			else
			{
				// On copie le fichier dans le repertoire destination, affiche que les messages d'erreur
				if (copy($urlLOGO,$repImages.'/'.$name))
				{
					//echo 'copie image r&eacute;.<br/>';
				}
				else
				{
					echo 'probl&egrave;me : image non copi&eacute;e.<br/>';
				}
			}
		}
		else
		{
			echo "Vous n\'avez pas rentr&eacute; de logo de votre entreprise dans dolibarr.<br/>";
		}
		
		// initialiser la variable du rpertoire images du rpertoire newsletter du site de l'ets
		$adrUrlImg = $url.'/'.$date.'/images';
		
		print '<td rowspan="3" class="logo" ><a href=http://'.$adrUrl.' ><img src="'.$urllogo.'" alt="logo entreprise" align="center" /></a></td></tr>';
		// class="logo"
		$news .= '<td rowspan="3" style="text-align : center;
					valign : center;" ><a href=http://'.$adrUrl.' ><img src="'.$adrUrlImg.'/'.$name.'" alt="logo entreprise" align="center" /></a></td></tr>';

		$nomEts = $conf->global->MAIN_INFO_SOCIETE_NOM;
		print '<tr></tr><tr></tr><tr><td class="ets" >'.$nomEts.'</td></tr>';
		// class="ets"
		$news .= '<tr></tr><tr></tr><tr><td style="text-align : center;
					font-weight:bold;
					font-size:18px;" >'.$nomEts.'</td></tr>';

		
		$adrEts = $conf->global->MAIN_INFO_SOCIETE_ADRESSE;
		$cpEts = $conf->global->MAIN_INFO_SOCIETE_CP;
		$villeEts = $conf->global->MAIN_INFO_SOCIETE_VILLE;
		
		print '<tr><td id="info" >'.$adrEts.'<br/> '.$cpEts.' '.$villeEts.'</td></tr>';
		// id="info"
		$news .= '<tr><td style="text-align : center;
					font-size:14px;" >'.$adrEts.'<br/> '.$cpEts.' '.$villeEts.'</td></tr>';
	
		
		$telEts = $conf->global->MAIN_INFO_SOCIETE_TEL;
		
		print '<tr><td id="info" >Tel : '.$telEts.'</td></tr>';
		// id="info"
		$news .= '<tr><td style="text-align : center;
					font-size:14px;" >Tel : '.$telEts.'</td></tr>';
		
		/* --------------------------------- titre -------------------------------------------------------------------------------- */			
		
		print '<tr><td colspan="3" height="40px"></td></tr>';
		$news .= '<tr><td colspan="3" height="40px"></td></tr>';
		
		print '<tr><td colspan="3" class="titre" ><b>'.$titreNews.'</b></td></tr>';
		// class="titre"
		$news .= '<tr><td colspan="3" style="text-align : center;
					font-size : 26px;
					color:black;" ><b>'.$titreNews.'</b></td></tr>';
				
		print '<tr><td colspan="3" height="40px"></td></tr>';
		$news .= '<tr><td colspan="3" height="40px"></td></tr>';
	
		/* ------------------------------------------------------------------------------------------------------------------------ */
		// -------------------------------------------- services ------------------------------------------------------------------
		/* ------------------------------------------------------------------------------------------------------------------------ */
		
		// test des variables
		if (($service == null) && ($serviceCat != null))
		{
			$result = $serviceCat;
		}
		elseif (($service != null) && ($serviceCat == null))
		{
			$result = $service;
		}
		elseif (($service == null) && ($serviceCat == null))
		{
			$result = null;
		}
		else
		{
			// fusion des deux tableaux services et services par catgorie
			$result = array_merge($service, $serviceCat);
			// enlever du tableau final les doublons s'ils existent
			$result = array_unique($result);
		}
		
		print '<tr ><td colspan="3" bgcolor="#4977AB" color="#FA9101" id="paragraphe" >Services </td></tr>';
		// css id="paragraphe"
		$news .= '<tr ><td colspan="3" bgcolor="#4977AB" style="border-radius:20px;
					color : white;
					text-align : center;
					font-weight : bold;
					font-size : 20px;" >Services </td></tr>';
				
		if ($result != null)
		{
			foreach ($result as $choix)
			{
				// ajouter les antislash devant les caractres spciaux si besoin
				$choix = addslashes($choix);
		
				// requte
				$sql = ' select *';
				$sql .= ' from '.MAIN_DB_PREFIX.'product as p';
				$sql .= " WHERE label like'$choix'";
	
				// xcution de la requte								
				$resql=$db->query($sql);
				
				if ($resql)
				{
					// rcupre le nombre de lignes du rsultat de la requte
					$num = $db->num_rows($resql);
					$i = 0;
				
					// si le nbre de lignes est >  0 alors rsultat 
					if ($num > 0)
					{
						while ($i < $num)
						{
							$objp = $db->fetch_object($resql);
							print '<tr><td colspan="3" height="30px"  ></td></tr>';
							$news .= '<tr><td colspan="3" height="30px" ></td></tr>';

							// dcompose le rowid du produit pour dterminer le rpertoire o est stocke l'image
							$j =strlen($objp->rowid);
							$tabchaine = array();
							for ($i = 0; $i < $j; $i++)
							{
								$tabchaine[] = substr($objp->rowid, $i,1);
							}
							$tabchaine = array_reverse($tabchaine);
							// l'indice 0 du tableau correspond  l'unit, l'indice 1 au dizaine
							
							// si il n'y a qu'un seul chiffre
							$taille = count($tabchaine);
							if ($taille == 1)
							{
								$tabchaine[1] = 0;
							}
							
							// fonction redimensionne image <img alt="" <?php fctaffichimage('repimg/monimage.jpg',120,100) ? > />
							// permet de donner l'emplacement exact de la photo
							$image =  DOL_DOCUMENT_ROOT.'/documents/produit/'.$tabchaine[0].'/'.$tabchaine[1].'/'.$objp->rowid.'/photos/'.$objp->ref.'.jpg';
							
							if (file_exists($image))
							{
								// rcupre les dimensions de l'image fixs avec la fonction fctaffichimage, max largeur 230px, max hauteur 130px
								$dim = fctaffichimage("$image",230,130);
								
								// permet d'afficher l'image 
								$imageBis = 'http://'.$nomServer.'/viewimage.php?modulepart=product&file='.$tabchaine[0].'%2F'.$tabchaine[1].'%2F'.$objp->rowid.'%2Fphotos%2F'.$objp->ref.'.jpg';
								
								// initialiser le rpertoire images du rpertoire newsletter du site de l'ets
								// rappel $adrUrlImg = $url.'/'.$date.'/'images';
								// ------------ copie de l'image dans le rpertoire -------------------
								// L'url du fichier : $image
								// Le chemin de sauvegarde $repImages
								// On recup le nom du fichier
								$nameImg = array_pop(explode('/',$image));
								if (file_exists($repImages.'/'.$nameImg))
								{
									//echo 'image d&eacute;j&#224; pr&eacute;sente.<br/>';
								}
								else
								{
									// On copie le fichier dans le repertoire destination
									if (copy($image,$repImages.'/'.$nameImg))
									{
										//echo 'copie image r&eacute;ussie.<br/>';
									}
									else
									{
										echo 'probl&egrave;me : image non copi&eacute;e.<br/>';
									}
								}
							}
							else
							{
								echo '<br/>Vous n\'avez pas d\'image pour ce service : '.$objp->label.' dans la base de donn&eacute;es<br/>';
								$imageBis = '';
								$nameImg = '';
								
							}
							
							// remplissage
							print '<tr><td rowspan="4" align="center" valign="center"  ><img alt="photo indisponible" src="'.$imageBis.'" '.$dim.' /></td></tr>';
							$news .= '<tr><td rowspan="4" align="center" valign="center"  ><img alt="photo indisponible" src="'.$adrUrlImg.'/'.$nameImg.'" '.$dim.' /></td></tr>';

							// enlve les antislash pour les caractres spciaux
							$label = stripslashes($objp->label);
							print '<tr><td colspan="2" align="left" id="labelService" ><b>'.$label.'</b></td></tr>';
							// id="labelService"
							$news .= '<tr><td colspan="2" align="left" style="color:#4977AB;
							font-size:16px;" ><b>'.$label.'</b></td></tr>';

							print '<tr><td colspan="2" align="left" >'.$objp->description.'</td></tr>';
							$news .= '<tr><td colspan="2" align="left" >'.$objp->description.'</td></tr>';

							print '<tr><td colspan="2" align="left" >Prix : '.number_format($objp->price_ttc,2).' &euro; TTC </td></tr>';
							$news .= '<tr><td colspan="2" align="left" >Prix : '.number_format($objp->price_ttc,2).' &euro; TTC </td></tr>';
		
							$i++;
						}
					}
					$db->free($resql);
				}
				else
				{
					dol_print_error($db);
				}
			
			}
		}
		else
		{
			print '<tr><td colspan="3" height="30px" ></td></tr>';
			$news .= '<tr><td colspan="3" height="30px" ></td></tr>';
			
			print '<tr><td colspan="3" align="left"  >Pas d\'actualit&eacute;s pour les services</td></tr>';
			$news .= '<tr><td colspan="3" align="left"  >Pas d\'actualit&eacute;s pour les services</td></tr>';
		}
		
		
		
		/* ------------------------------------------------------------------------------------------------------------------------ */
		// -------------------------------------------- produits ------------------------------------------------------------------
		/* ------------------------------------------------------------------------------------------------------------------------ */
		print '<tr><td colspan="3" height="30px" ></td></tr>';
		$news .= '<tr><td colspan="3" height="30px" ></td></tr>';

		// test des variables
		if (($produit== null) && ($produitCat != null))
		{
			$resultat = $produitCat;
		}
		elseif (($produit != null) && ($produitCat == null))
		{
			$resultat = $produit;
		}
		elseif (($produit== null) && ($produitCat == null))
		{
			$resultat = null;
		}
		else
		{
			// fusion des deux tableaux services et services par catgorie
			$resultat = array_merge($produit, $produitCat);
			// enlever du tableau final les doublons s'ils existent
			$resultat = array_unique($resultat);
		}
		
		
		print '<tr><td bgcolor="#FA9101" id="paragraphe" colspan="3" >Promotions</td></tr>';
		// id="paragraphe"
		$news .= '<tr><td bgcolor="#FA9101" style="border-radius:20px;
					color : white;
					text-align : center;
					font-weight : bold;
					font-size : 20px;" colspan="3" >Promotions</td></tr>';
			
		if ($resultat != null)
		{
			foreach ($resultat as $choix)
			{
				// ajouter les antislash devant les caractres spciaux si besoin
				$choix = addslashes($choix);
				
				// requte
				$sql = ' select *';
				$sql .= ' from '.MAIN_DB_PREFIX.'product as p';
				$sql .= " WHERE label like'$choix'";
				
				// xcution de la requte								
				$resql=$db->query($sql);
				
				if ($resql)
				{
					// rcupre le nombre de lignes du rsultat de la requte
					$num = $db->num_rows($resql);
					$i = 0;
				
					// si le nbre de lignes est >  0 alors rsultat 
					if ($num > 0)
					{
						while ($i < $num)
						{
							$objp = $db->fetch_object($resql);
							print '<tr><td colspan="3" height="30px" ></td></tr>';
							$news .= '<tr><td colspan="3" height="30px" ></td></tr>';

							// dcompose le rowid du produit pour dterminer le rpertoire o est stock l'image
							$j =strlen($objp->rowid);
							$tabchaine = array();
							for ($i = 0; $i < $j; $i++)
							{
								$tabchaine[] = substr($objp->rowid, $i,1);
							}
							$tabchaine = array_reverse($tabchaine);
							// l'indice 0 du tableau correspond  l'unit, l'indice 1 au dizaine
							
							// si il n'y a qu'un seul chiffre
							$taille = count($tabchaine);
							if ($taille == 1)
							{
								$tabchaine[1] = 0;
							}
							
							// fonction redimensionne image <img alt="" <?php fctaffichimage('repimg/monimage.jpg',120,100) ? > />
							// permet de donner l'emplacement exact de la photo
							$image = DOL_DOCUMENT_ROOT.'/documents/produit/'.$tabchaine[0].'/'.$tabchaine[1].'/'.$objp->rowid.'/photos/'.$objp->ref.'.jpg';
							
							if (file_exists($image))
							{
								// rcupre les dimensions de l'image fixs avec la fonction fctaffichimage, max largeur 230px, max hauteur 130px
								$dim = fctaffichimage("$image",230,130);
								
								// permet d'afficher l'image 
								$imageBis = 'http://'.$nomServer.'/viewimage.php?modulepart=product&file='.$tabchaine[0].'%2F'.$tabchaine[1].'%2F'.$objp->rowid.'%2Fphotos%2F'.$objp->ref.'.jpg';
								
								// initialiser le rpertoire images du rpertoire newsletter du site de l'ets
								// rappel $adrUrlImg = $url.'/'.$date.'/images';
								
								// ------------ copie de l'image dans le rpertoire -------------------
								// L'url du fichier : $image
								// Le chemin de sauvegarde $repImages
								// On recup le nom du fichier
								$nameImg = array_pop(explode('/',$image));
								
								$adrUrlImg = $url.'/'.$date.'/images';
								if (file_exists($repImages.'/'.$nameImg))
								{
									//echo 'image d&eacute;j&#224; pr&eacute;sente.<br/>';
								}
								else
								{
									// On copie le fichier dans le repertoire destination
									if (copy($image,$repImages.'/'.$nameImg))
									{
										//echo 'copie image r&eacute;ussie.<br/>';
									}
									else
									{
										echo 'probl&egrave;me : image non copi&eacute;e.<br/>';
									}
								}
							}
							else
							{
								echo '<br/>Vous n\'avez pas d\'image pour ce produit : '.$objp->label.' dans la base de donn&eacute;es.<br/>';
								$imageBis = '';
								$nameImg = '';
							}
							
							
							// remplissage
							print '<tr><td rowspan="6" align="center" valign="center" ><img alt="photo indisponible" src="'.$imageBis.'" '.$dim.' /></td></tr>';
							$news .= '<tr><td rowspan="6" align="center" valign="center" ><img alt="photo indisponible" src="'.$adrUrlImg.'/'.$nameImg.'" '.$dim.' /></td></tr>';
							
							// enlve les antislash pour les caractres spciaux
							$label = stripslashes($objp->label);
							print '<tr><td colspan="2" align="left" id="labelProduit" ><b>'.$label.'</b></td></tr>';
							// id="labelProduit"
							$news .= '<tr><td colspan="2" align="left" style="color:#FA9101;
							font-size:16px;" ><b>'.$label.'</b></td></tr>';

							print '<tr><td colspan="2" align="left" >R&eacute;f&eacute;rence : '.$objp->ref.'</td></tr>';
							$news .= '<tr><td colspan="2" align="left" >R&eacute;f&eacute;rence : '.$objp->ref.'</td></tr>';

							print '<tr><td colspan="2" align="left" >Prix : '.number_format($objp->price_ttc,2).' &euro; TTC </td></tr>';
							$news .= '<tr><td colspan="2" align="left" >Prix : '.number_format($objp->price_ttc,2).' &euro; TTC </td></tr>';

							print '<tr><td colspan="2" align="left" >Prix en promotion : '.number_format($objp->price_min_ttc,2).' &euro; TTC</td></tr>';
							$news .= '<tr><td colspan="2" align="left" >Prix en promotion : '.number_format($objp->price_min_ttc,2).' &euro; TTC</td></tr>';

							print '<tr><td colspan="2" align="left" >'.$objp->description.'</td></tr>';
							$news .= '<tr><td colspan="2" align="left" >'.$objp->description.'</td></tr>';
							
							$i++;
						}
					}
					$db->free($resql);
				}
				else
				{
					dol_print_error($db);
				}
			}
		}
		else
		{
			print '<tr><td colspan="3" height="30px" ></td></tr>';
			$news .= '<tr><td colspan="3" height="30px" ></td></tr>';

			print '<tr><td colspan="3" align="left"  >Pas d\'actualit&eacute;s pour les produits</td></tr>';
			$news .= '<tr><td colspan="3" align="left" >Pas d\'actualit&eacute;s pour les produits</td></tr>';

		}
		
		print '<tr><td colspan="3" height="30px" ></td></tr>';
		$news .= '<tr><td colspan="3" height="30px" ></td></tr>';
		
		/* ------------------------------------ pied de page ------------------------------------------------------------ */
			
		print '<tr><td colspan="3" id="pied" >Vous recevez cet newsletter, car vous &ecirc;tes client de <a href=http://'.$adrUrl.' >'.$nomEts.' </a></td></tr>';
		// id="pied"
		$news.= '<tr><td colspan="3" style="text-align:center;" >Vous recevez cet newsletter, car vous &ecirc;tes client de <a href=http://'.$adrUrl.' >'.$nomEts.' </a></td></tr>';

		$mail = $conf->global->MAIN_INFO_SOCIETE_MAIL;
		print '<tr><td colspan="3" id="pied" >Pour ne plus recevoir de newsletter, <a href="'.$url.'/desinscription.php?nom='.$nomEts.'&amp;mail='.$mail.'">d&eacute;sinscrivez vous</a> de la newsletter.</td></tr>';
		// id="pied"
		$news .= '<tr><td colspan="3" style="text-align:center;"  >Pour ne plus recevoir de newsletter, <a href="'.$url.'/desinscription.php?nom='.$nomEts.'&amp;mail='.$mail.'" >d&eacute;sinscrivez vous</a> de la newsletter.</td></tr>';

		print '</table>';
		$news .= '</table></body></html>';

		/* ------------------------------------------------------------------------------------------------------------------------ */
		// ------------------------------------------------ formulaire ------------------------------------------------------------
		/* ------------------------------------------------------------------------------------------------------------------------ */
		
		// transforme le texte en texte html
		$news = htmlEntities($news, ENT_COMPAT, 'UTF-8');

		print '<br/><br/>';
		print '<div style="text-align : center;" >';
		print '<form method="POST" action="traitement.php" id="form" >';
		print '<input type="reset" value="Modifier" name="Annuler" onClick="retour();" class="button" />&nbsp;';
		
		print '<input type="submit" value="Valider" class="button" />';
		print '<input type="hidden" name="titre" value="'.$titre.'" />';
		print '<input type="hidden" name="sujet" value="'.$sujet.'" />';
		print '<input type="hidden" name="chemin" value="'.$cheminServer.'" />';
		print '<input type="hidden" name="url" value="'.$url.'" />';
		print '<input type="hidden" name="contenu" value="'. $news.'"  />';
		print '</form></div>';
	
		
	}
	
	print '</body>';
	
print '</html>';



// Put here content of your page
// ...


/***************************************************
* LINKED OBJECT BLOCK
*
* Put here code to view linked object
****************************************************/
/*
 $myobject->load_object_linked($myobject->id,$myobject->element);

foreach($myobject->linked_object as $linked_object => $linked_objectid)
{
	if ($conf->$linked_object->enabled)
	{
		$somethingshown=$myobject->showLinkedObjectBlock($linked_object,$linked_objectid,$somethingshown);
	}
}
*/

// End of page
$db->close();
llxFooter('$Date: 2011/06/23 12:04:00 $ - $Revision: 1.16 $');


?>
