
CREATE TABLE IF NOT EXISTS llx_newsletter_cibles (
  rowid int(11) NOT NULL auto_increment,
  fk_mailing int(11) NOT NULL,
  fk_contact int(11) NOT NULL,
  nom varchar(160) default NULL,
  prenom varchar(160) default NULL,
  email varchar(160) NOT NULL,
  other varchar(255) default NULL,
  statut smallint(6) NOT NULL default '0',
  source_url varchar(160) default NULL,
  source_id int(11) default NULL,
  source_type varchar(16) default NULL,
  date_envoi datetime default NULL,
  PRIMARY KEY  (rowid),
  UNIQUE KEY uk_newsletter_cibles (fk_mailing,email),
  KEY idx_mailing_cibles_email (email)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;


