<!--  Copyright (C) 2011 Frdrique GUYOT -->
<?php
    // vrification du champ nom pass en paramtre dans l'url (nom de l'entreprise)
	if(isset($_GET['nom']))		
	{
		if (is_string($_GET['nom']))		
		{
			$nomEts = stripslashes(htmlentities($_GET['nom']));
		}
		else
		{
			echo '<p>Le nom de l\'entreprise n\'est pas de type string</p>';
		}
	}
	else 
	{
		echo '<p>Variable nom entreprise non d&eacute;termin&eacute;e</p>';
	}
    
    // vrification du champ mail pass en paramtre dans l'url (email de l'entreprise)
	if(isset($_GET['mail']))		
	{
		if (is_string($_GET['mail']))	
		{
			$mail = stripslashes(htmlentities($_GET['mail']));
		}
		else
		{
			echo '<p>Le mail n\'est pas de type string</p>';
		}
	}
	else 
	{
		echo '<p>Variable mail non d&eacute;termin&eacute;e</p>';
	}

    /* Si le formulaire est envoy alors on fait les traitements */
    if (isset($_POST['envoye']))
    {
        /* Rcupration des valeurs des champs du formulaire */
        if (get_magic_quotes_gpc())
        {
          $expediteur	= stripslashes(trim($_POST['email']));
          $sujet		= stripslashes(trim($_POST['sujet']));
          $message		= stripslashes(trim($_POST['message']));
        }
        else
        {
          $expediteur	= trim($_POST['email']);
          $sujet		= trim($_POST['sujet']);
          $message		= trim($_POST['message']);
        }
        
        /* Expression rgulire permettant de vrifier si le 
        * format d'une adresse e-mail est correct */
        $regex_mail = '/^[-+.\w]{1,64}@[-.\w]{1,64}\.[-.\w]{2,6}$/i';
        
        /* Expression rgulire permettant de vrifier qu'aucun 
        * en-tte n'est insr dans nos champs */
        $regex_head = '/[\n\r]/';
        
        /* On vrifie que tous les champs sont remplis */
        if (empty($expediteur) OR empty($sujet) OR empty($message))
        {
            $alert = 'Tous les champs doivent tre renseigns';
        }
        
        /* On vrifie que le format de l'e-mail est correct */
        elseif (!preg_match($regex_mail, $expediteur))
        {
          $alert = 'L\'adresse '.$expediteur.' n\'est pas valide';
        }
        /* On vrifie qu'il n'y a aucun header dans les champs */
        elseif (preg_match($regex_head, $expediteur) 
                || preg_match($regex_head, $nom) 
                || preg_match($regex_head, $sujet))
        {
            $alert = 'En-ttes interdites dans les champs du formulaire';
        }
        /* Si aucun problme et aucun cookie cr, on construit le message et on envoie l'e-mail */
        elseif (!isset($_COOKIE['sent']))
        {
            /* Destinataire (votre adresse e-mail) */
            $to = $mail;
            
            /* Construction du message */
            $msg  = 'Bonjour,'."\r\n\r\n";
            $msg .= 'Ce mail a t envoy par '.$expediteur."\r\n\r\n";
            $msg .= 'Voici le message qui vous est adress :'."\r\n";
            $msg .= '***************************'."\r\n";
            $msg .= $message."\r\n";
            $msg .= '***************************'."\r\n";
            
            /* En-ttes de l'e-mail */
            $headers = 'From: '.$expediteur.'\r\n\r\n';
            
            /* Envoi de l'e-mail */
            if (mail($to, $sujet, $msg, $headers))
            {
                $alert = 'E-mail envoy&eacute; avec succ&egrave;s';
                
                /* On cr un cookie de courte dure (ici 120 secondes) pour viter de 
                * renvoyer un mail en rafraichissant la page */
                setcookie("sent", "1", time() + 120);
                
                /* On dtruit la variable $_POST */
                unset($_POST);
            }
            else
            {
                $alert = 'Erreur d\'envoi de l\'e-mail';
            }
              
        }
        /* Cas o le cookie est cr et que la page est rafraichie, on dtruit la variable $_POST */
        else
        {
            unset($_POST);
        }
    }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html lang="fr">
    <head>
        <title>D&eacute;sinscription</title>
        <meta http-equiv="content-type" content="text/html;charset=ISO 8859-1" />
        <link rel="stylesheet" type="text/css" href="css/styleDesinscription.css" />
    </head>
    
    <body>
        <?php
            // test si les champs nom et mail sont vides
            if(empty($nomEts) OR empty($mail)) 
            {
                echo 'nomets '.$nomEts.'<br/>mail '.$mail.'<br/>';
                echo '<font color="red" style="font-size:14px;" >Attention, les param&egrave;tres passs dans l\'url sont absents  !<br/></font>';
            }
            else
            {
                print '<h2>'.$nomEts.'</h2>';
                print '<p class="titre">Formulaire de d&eacute;sinscription de la newsletter </p>';
                if (!empty($alert))
                {
                    echo '<p style="color:red">'.$alert.'</p>';
                }
               
                print '<form action="desinscription.php?nom='.$nomEts.'&amp;mail='.$mail.'"" method="post" id="formulaire" >';
                    print '<p>Saissisez votre adresse email</p>';
                    print '<p>';
                        print '<label for="email">E-mail :</label>';
                        ?>
                        <input type="text" id="email" name="email" value="<?php echo (isset($_POST['email'])) ? $expediteur : '' ?>" />
                    <?php
                    print '</p>';
                    print '<p>';
                        print '<input type="hidden" id="sujet" name="sujet" value="dsinscription de la newsletter" />';
                    print '</p>';
                    print '<p>';
                        print '<input type="hidden" id="message" name="message" value="Cette personne souhaite se dsinscrire de la newsletter" />';
                    print '</p>';
                    print '<p>';
                        print '<input type="submit" name="envoye" id="bouton" value="Se d&eacute;sinscrire" />';
                    print '</p>';
                print '</form>';
            }
            ?>
    </body>
</html>