<?php
/* Copyright (C) 2007-2010 Laurent Destailleur  <eldy@users.sourceforge.net>
 * Copyright (C) 2011 Frdrique GUYOT
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/**
 *   	\file       dev/skeletons/skeleton_page.php
 *		\ingroup    mymodule othermodule1 othermodule2
 *		\brief      This file is an example of a php page
 *		\version    $Id: skeleton_page.php,v 1.16 2011/01/16 13:24:29 eldy Exp $
 *		\author		Put author name here
 *		\remarks	Put here some comments
 */

//if (! defined('NOREQUIREUSER'))  define('NOREQUIREUSER','1');
//if (! defined('NOREQUIREDB'))    define('NOREQUIREDB','1');
//if (! defined('NOREQUIRESOC'))   define('NOREQUIRESOC','1');
//if (! defined('NOREQUIRETRAN'))  define('NOREQUIRETRAN','1');
//if (! defined('NOCSRFCHECK'))    define('NOCSRFCHECK','1');
//if (! defined('NOTOKENRENEWAL')) define('NOTOKENRENEWAL','1');
//if (! defined('NOREQUIREMENU'))  define('NOREQUIREMENU','1');	// If there is no menu to show
//if (! defined('NOREQUIREHTML'))  define('NOREQUIREHTML','1');	// If we don't need to load the html.form.class.php
//if (! defined('NOREQUIREAJAX'))  define('NOREQUIREAJAX','1');
//if (! defined("NOLOGIN"))        define("NOLOGIN",'1');		// If this page is public (can be called outside logged session)

// Change this following line to use the correct relative path (../, ../../, etc)
/*$res=0;
if (! $res && file_exists("../main.inc.php")) $res=@include("../main.inc.php");
if (! $res && file_exists("../../main.inc.php")) $res=@include("../../main.inc.php");
if (! $res && file_exists("../../../dolibarr/htdocs/main.inc.php")) $res=@include("../../../dolibarr/htdocs/main.inc.php");     // Used on dev env only
if (! $res && file_exists("../../../../dolibarr/htdocs/main.inc.php")) $res=@include("../../../../dolibarr/htdocs/main.inc.php");   // Used on dev env only
if (! $res && file_exists("../../../../../dolibarr/htdocs/main.inc.php")) $res=@include("../../../../../dolibarr/htdocs/main.inc.php");   // Used on dev env only
if (! $res) die("Include of main fails");*/

require("../main.inc.php");
// Change this following line to use the correct relative path from htdocs (do not remove DOL_DOCUMENT_ROOT)
require_once(DOL_DOCUMENT_ROOT.'/newsletter/class/product.class.php');
//require_once(DOL_DOCUMENT_ROOT.'/newsletter//pre.inc.php') ;

//include("./pre.inc.php");

// Load traductions files requiredby by page
//$langs->load("companies");
//$langs->load("other");

// Get parameters
$myparam = isset($_GET["myparam"])?$_GET["myparam"]:'';

// Protection if external user
if ($user->societe_id > 0)
{
	//accessforbidden();
}



/*******************************************************************
* ACTIONS
*
* Put here all code to do according to value of "action" parameter
********************************************************************/

if ($_GET["action"] == 'add' || $_POST["action"] == 'add')
{
	$myobject=new Skeleton_class($db);
	$myobject->prop1=$_POST["field1"];
	$myobject->prop2=$_POST["field2"];
	$result=$myobject->create($user);
	if ($result > 0)
	{
		// Creation OK
	}
	{
		// Creation KO
		$mesg=$myobject->error;
	}
}



/***************************************************
* PAGE
*
* Put here all code to build page
****************************************************/

llxHeader('','Newsletter','Newsletter');

$form=new Form($db);
?>

<html lang="fr">
	
	<head>
		<link rel="stylesheet" type="text/css" href="css/styleIndex.css" />
		<!-- <script type="text/javascript" src="jquery.js" /> dj dclar-->
		<script type="text/javascript" >	
			// pour les services
			function creer()
			{
				$index = "creation.php";
				window.location.replace($index);
			}
			
			function lister()
			{
				$index = "liste.php";
				window.location.replace($index);
			}
		</script>
	</head>

	<body>
<?php

print '<h2>Ce module permet de cr&eacute;er des newsletters en fonction de vos produits et services (table llx_product).</h2>';

print '<p class="titre" >Deux choix s\'offrent &#224; vous : cr&eacute;er une newsletter
ou acc&eacute;der &#224; la liste des newsletters d&eacute;j&#224; cr&eacute;&eacute;es.</p>';

print '<p class="explication" >Explications sur la cr&eacute;ation d\'une newsletter : </p>';

print '<p>En cliquant sur cr&eacute;er une newsletter, vous acc&eacute;der &#224; une page de configuration o&#249; vous allez </p>';

print '<ul>
	<li>Choisir les produits et services que vous voulez voir appara&#238;tre dans la newsletter. </li>
	
	<li>Saisir le sujet et le nom de la newsletter, ces deux param&egrave;tres sont des donn&eacute;es dans la base de
donn&eacutees. </li>

	<li>Saisir un texte qui sera affich&eacute; dans la newsletter.</li>
	
	<li>Cliquer sur le bouton valider, la newsletter sera mise en forme, si cela vous convient vous cliquez sur valider, sinon vous
cliquez sur annuler pour revenir &#224; la page de configuration.</li>

	<li>La newsletter est enregistr&eacute dans la table llx_newsletter et un fichier est automatiquement cr&eacute;&eacute; et enregistr&eacute; sur le chemin indiqu&eacute;. D&egrave;s lors, vous arrivez
&#224; l\'endroit indiqu&eacute; par l\'url, vous n\'avez plus qu\' &#224; s&eacute;lectionner les destinataires.</li>

</ul>';


print '<p class="choix" >Choisissez : </p>';

print '<p><input type="button" value="Cr&eacute;er une newsletter" name="creer" onClick="creer();" class="button" />&nbsp;';
print '<input type="button" value="Afficher les newsletters" name="lister" onClick="lister();" class="button" /></p>';	
	


?>
	</body>
</html>

<?php
											
									
// Put here content of your page
// ...


/***************************************************
* LINKED OBJECT BLOCK
*
* Put here code to view linked object
****************************************************/
/*$myobject->load_object_linked($myobject->id,$myobject->element);

foreach($myobject->linked_object as $linked_object => $linked_objectid)
{
	if ($conf->$linked_object->enabled)
	{
		$somethingshown=$myobject->showLinkedObjectBlock($linked_object,$linked_objectid,$somethingshown);
	}
}
*/
// End of page
$db->close();
llxFooter('$Date: 2011/01/23 12:07:00 $ - $Revision: 1.16 $');
?>
